This connector is optimized for AI agents. For the data replication connector, see Mailchimp .
This is the full reference documentation for the Mailchimp agent connector.
Supported entities and actions
The Mailchimp connector supports the following entities and actions.
Entity Actions Campaigns List , Get , Context Store Search Lists List , Get , Context Store Search List Members List , Get , Context Store Search Reports List , Get , Context Store Search Email Activity List , Context Store Search Automations List , Context Store Search Tags List , Context Store Search Interest Categories List , Get , Context Store Search Interests List , Get , Context Store Search Segments List , Get , Context Store Search Segment Members List , Context Store Search Unsubscribes List , Context Store Search
Campaigns
Campaigns List
Get all campaigns in an account
Python SDK
await mailchimp . campaigns . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "campaigns", "action": "list" }'
Parameters
Parameter Name Type Required Description countintegerNo The number of records to return. Default is 10. Maximum is 1000. offsetintegerNo Used for pagination, this is the number of records from a collection to skip. type"regular" | "plaintext" | "absplit" | "rss" | "variate"No The campaign type status"save" | "paused" | "schedule" | "sending" | "sent"No The status of the campaign before_send_timestringNo Restrict the response to campaigns sent before the set time since_send_timestringNo Restrict the response to campaigns sent after the set time before_create_timestringNo Restrict the response to campaigns created before the set time since_create_timestringNo Restrict the response to campaigns created after the set time list_idstringNo The unique id for the list folder_idstringNo The unique folder id sort_field"create_time" | "send_time"No Returns files sorted by the specified field sort_dir"ASC" | "DESC"No Determines the order direction for sorted results
Response Schema Records Field Name Type Description idstringweb_idinteger | nullparent_campaign_idstring | nulltypestring | nullcreate_timestring | nullarchive_urlstring | nulllong_archive_urlstring | nullstatusstring | nullemails_sentinteger | nullsend_timestring | nullcontent_typestring | nullneeds_block_refreshboolean | nullresendableboolean | nullrecipientsobject | nullsettingsobject | nulltrackingobject | nullreport_summaryobject | nulldelivery_statusobject | null
Field Name Type Description linksarray<object>
Campaigns Get
Get information about a specific campaign
Python SDK
await mailchimp . campaigns . get ( campaign_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "campaigns", "action": "get", "params": { "campaign_id": "<str>" } }'
Parameters
Parameter Name Type Required Description campaign_idstringYes The unique id for the campaign
Response Schema Records Field Name Type Description idstringweb_idinteger | nullparent_campaign_idstring | nulltypestring | nullcreate_timestring | nullarchive_urlstring | nulllong_archive_urlstring | nullstatusstring | nullemails_sentinteger | nullsend_timestring | nullcontent_typestring | nullneeds_block_refreshboolean | nullresendableboolean | nullrecipientsobject | nullsettingsobject | nulltrackingobject | nullreport_summaryobject | nulldelivery_statusobject | null
Campaigns Context Store Search
Search and filter campaigns records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await mailchimp . campaigns . context_store_search ( query = { "filter" : { "eq" : { "ab_split_opts" : { } } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "campaigns", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"ab_split_opts": {}}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description ab_split_optsobjectA/B Testing options for a campaign.archive_urlstringThe link to the campaign's archive version in ISO 8601 format. content_typestringHow the campaign's content is put together. create_timestringThe date and time the campaign was created in ISO 8601 format. delivery_statusobjectUpdates on campaigns in the process of sending. emails_sentintegerThe total number of emails sent for this campaign. idstringA string that uniquely identifies this campaign. long_archive_urlstringThe original link to the campaign's archive version. needs_block_refreshbooleanDetermines if the campaign needs its blocks refreshed by opening the web-based campaign editor. D... parent_campaign_idstringIf this campaign is the child of another campaign, this identifies the parent campaign. For Examp... recipientsobjectList settings for the campaign. report_summaryobjectFor sent campaigns, a summary of opens, clicks, and e-commerce data. resendablebooleanDetermines if the campaign qualifies to be resent to non-openers. rss_optsobjectRSS options for a campaign.send_timestringThe date and time a campaign was sent. settingsobjectThe settings for your campaign, including subject, from name, reply-to address, and more. social_cardobjectThe preview for the campaign, rendered by social networks like Facebook and Twitter. [Learn more]... statusstringThe current status of the campaign. trackingobjectThe tracking options for a campaign. typestringThere are four types of campaigns y... variate_settingsobjectThe settings specific to A/B test campaigns. web_idintegerThe ID used in the Mailchimp web application. View this campaign in your Mailchimp account at `ht...
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].ab_split_optsobjectA/B Testing options for a campaign.data[].archive_urlstringThe link to the campaign's archive version in ISO 8601 format. data[].content_typestringHow the campaign's content is put together. data[].create_timestringThe date and time the campaign was created in ISO 8601 format. data[].delivery_statusobjectUpdates on campaigns in the process of sending. data[].emails_sentintegerThe total number of emails sent for this campaign. data[].idstringA string that uniquely identifies this campaign. data[].long_archive_urlstringThe original link to the campaign's archive version. data[].needs_block_refreshbooleanDetermines if the campaign needs its blocks refreshed by opening the web-based campaign editor. D... data[].parent_campaign_idstringIf this campaign is the child of another campaign, this identifies the parent campaign. For Examp... data[].recipientsobjectList settings for the campaign. data[].report_summaryobjectFor sent campaigns, a summary of opens, clicks, and e-commerce data. data[].resendablebooleanDetermines if the campaign qualifies to be resent to non-openers. data[].rss_optsobjectRSS options for a campaign.data[].send_timestringThe date and time a campaign was sent. data[].settingsobjectThe settings for your campaign, including subject, from name, reply-to address, and more. data[].social_cardobjectThe preview for the campaign, rendered by social networks like Facebook and Twitter. [Learn more]... data[].statusstringThe current status of the campaign. data[].trackingobjectThe tracking options for a campaign. data[].typestringThere are four types of campaigns y... data[].variate_settingsobjectThe settings specific to A/B test campaigns. data[].web_idintegerThe ID used in the Mailchimp web application. View this campaign in your Mailchimp account at `ht...
Lists
Lists List
Get information about all lists in the account
Python SDK
await mailchimp . lists . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "lists", "action": "list" }'
Parameters
Parameter Name Type Required Description countintegerNo The number of records to return offsetintegerNo Used for pagination before_date_createdstringNo Restrict response to lists created before the set date since_date_createdstringNo Restrict response to lists created after the set date before_campaign_last_sentstringNo Restrict results to lists created before the last campaign send date since_campaign_last_sentstringNo Restrict results to lists created after the last campaign send date emailstringNo Restrict results to lists that include a specific subscriber's email address sort_field"date_created"No Returns files sorted by the specified field sort_dir"ASC" | "DESC"No Determines the order direction for sorted results
Response Schema Records Field Name Type Description idstringweb_idinteger | nullnamestring | nullcontactobject | nullpermission_reminderstring | nulluse_archive_barboolean | nullcampaign_defaultsobject | nullnotify_on_subscribestring | nullnotify_on_unsubscribestring | nulldate_createdstring | nulllist_ratinginteger | nullemail_type_optionboolean | nullsubscribe_url_shortstring | nullsubscribe_url_longstring | nullbeamer_addressstring | nullvisibilitystring | nulldouble_optinboolean | nullhas_welcomeboolean | nullmarketing_permissionsboolean | nullstatsobject | null
Field Name Type Description linksarray<object>
Lists Get
Get information about a specific list in your Mailchimp account
Python SDK
await mailchimp . lists . get ( list_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "lists", "action": "get", "params": { "list_id": "<str>" } }'
Parameters
Parameter Name Type Required Description list_idstringYes The unique ID for the list
Response Schema Records Field Name Type Description idstringweb_idinteger | nullnamestring | nullcontactobject | nullpermission_reminderstring | nulluse_archive_barboolean | nullcampaign_defaultsobject | nullnotify_on_subscribestring | nullnotify_on_unsubscribestring | nulldate_createdstring | nulllist_ratinginteger | nullemail_type_optionboolean | nullsubscribe_url_shortstring | nullsubscribe_url_longstring | nullbeamer_addressstring | nullvisibilitystring | nulldouble_optinboolean | nullhas_welcomeboolean | nullmarketing_permissionsboolean | nullstatsobject | null
Lists Context Store Search
Search and filter lists records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await mailchimp . lists . context_store_search ( query = { "filter" : { "eq" : { "beamer_address" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "lists", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"beamer_address": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description beamer_addressstringThe list's Email Beamer address. campaign_defaultsobjectDefault values for campaigns created for this list. contactobjectContact information displayed in campaign footers to comply with international spam laws. date_createdstringThe date and time that this list was created in ISO 8601 format. double_optinbooleanWhether or not to require the subscriber to confirm subscription via email. email_type_optionbooleanWhether the list supports multiple formats for emails. When set to true, subscribers can choose... has_welcomebooleanWhether or not this list has a welcome automation connected. idstringA string that uniquely identifies this list. list_ratingintegerAn auto-generated activity score for the list (0-5). marketing_permissionsbooleanWhether or not the list has marketing permissions (eg. GDPR) enabled. modulesarrayAny list-specific modules installed for this list. namestringThe name of the list. notify_on_subscribestringThe email address to send subscribe notifications to. notify_on_unsubscribestringThe email address to send unsubscribe notifications to. permission_reminderstringThe permission reminder for the list. statsobjectStats for the list. Many of these are cached for at least five minutes. subscribe_url_longstringThe full version of this list's subscribe form (host will vary). subscribe_url_shortstringOur EepURL shortened version of this list's subscribe form. use_archive_barbooleanWhether campaigns for this list use the Archive Bar in archives by default. visibilitystringWhether this list is public or private. web_idintegerThe ID used in the Mailchimp web application. View this list in your Mailchimp account at `https:...
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].beamer_addressstringThe list's Email Beamer address. data[].campaign_defaultsobjectDefault values for campaigns created for this list. data[].contactobjectContact information displayed in campaign footers to comply with international spam laws. data[].date_createdstringThe date and time that this list was created in ISO 8601 format. data[].double_optinbooleanWhether or not to require the subscriber to confirm subscription via email. data[].email_type_optionbooleanWhether the list supports multiple formats for emails. When set to true, subscribers can choose... data[].has_welcomebooleanWhether or not this list has a welcome automation connected. data[].idstringA string that uniquely identifies this list. data[].list_ratingintegerAn auto-generated activity score for the list (0-5). data[].marketing_permissionsbooleanWhether or not the list has marketing permissions (eg. GDPR) enabled. data[].modulesarrayAny list-specific modules installed for this list. data[].namestringThe name of the list. data[].notify_on_subscribestringThe email address to send subscribe notifications to. data[].notify_on_unsubscribestringThe email address to send unsubscribe notifications to. data[].permission_reminderstringThe permission reminder for the list. data[].statsobjectStats for the list. Many of these are cached for at least five minutes. data[].subscribe_url_longstringThe full version of this list's subscribe form (host will vary). data[].subscribe_url_shortstringOur EepURL shortened version of this list's subscribe form. data[].use_archive_barbooleanWhether campaigns for this list use the Archive Bar in archives by default. data[].visibilitystringWhether this list is public or private. data[].web_idintegerThe ID used in the Mailchimp web application. View this list in your Mailchimp account at `https:...
List Members
List Members List
Get information about members in a specific Mailchimp list
Python SDK
await mailchimp . list_members . list ( list_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "list_members", "action": "list", "params": { "list_id": "<str>" } }'
Parameters
Parameter Name Type Required Description list_idstringYes The unique ID for the list countintegerNo The number of records to return offsetintegerNo Used for pagination email_typestringNo The email type status"subscribed" | "unsubscribed" | "cleaned" | "pending" | "transactional" | "archived"No The subscriber's status since_timestamp_optstringNo Restrict results to subscribers who opted-in after the set timeframe before_timestamp_optstringNo Restrict results to subscribers who opted-in before the set timeframe since_last_changedstringNo Restrict results to subscribers whose information changed after the set timeframe before_last_changedstringNo Restrict results to subscribers whose information changed before the set timeframe unique_email_idstringNo A unique identifier for the email address across all Mailchimp lists vip_onlybooleanNo A filter to return only the list's VIP members interest_category_idstringNo The unique id for the interest category interest_idsstringNo Used to filter list members by interests interest_match"any" | "all" | "none"No Used to filter list members by interests sort_field"timestamp_opt" | "timestamp_signup" | "last_changed"No Returns files sorted by the specified field sort_dir"ASC" | "DESC"No Determines the order direction for sorted results
Response Schema Records Field Name Type Description idstringemail_addressstring | nullunique_email_idstring | nullcontact_idstring | nullfull_namestring | nullweb_idinteger | nullemail_typestring | nullstatusstring | nullunsubscribe_reasonstring | nullconsents_to_one_to_one_messagingboolean | nullmerge_fieldsobject | nullinterestsobject | nullstatsobject | nullip_signupstring | nulltimestamp_signupstring | nullip_optstring | nulltimestamp_optstring | nullmember_ratinginteger | nulllast_changedstring | nulllanguagestring | nullvipboolean | nullemail_clientstring | nulllocationobject | nullsourcestring | nulltags_countinteger | nulltagsarray | nulllist_idstring | null
Field Name Type Description linksarray<object>
List Members Get
Get information about a specific list member
Python SDK
await mailchimp . list_members . get ( list_id = "<str>" , subscriber_hash = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "list_members", "action": "get", "params": { "list_id": "<str>", "subscriber_hash": "<str>" } }'
Parameters
Parameter Name Type Required Description list_idstringYes The unique ID for the list subscriber_hashstringYes The MD5 hash of the lowercase version of the list member's email address
Response Schema Records Field Name Type Description idstringemail_addressstring | nullunique_email_idstring | nullcontact_idstring | nullfull_namestring | nullweb_idinteger | nullemail_typestring | nullstatusstring | nullunsubscribe_reasonstring | nullconsents_to_one_to_one_messagingboolean | nullmerge_fieldsobject | nullinterestsobject | nullstatsobject | nullip_signupstring | nulltimestamp_signupstring | nullip_optstring | nulltimestamp_optstring | nullmember_ratinginteger | nulllast_changedstring | nulllanguagestring | nullvipboolean | nullemail_clientstring | nulllocationobject | nullsourcestring | nulltags_countinteger | nulltagsarray | nulllist_idstring | null
List Members Context Store Search
Search and filter list members records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await mailchimp . list_members . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "list_members", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringThe MD5 hash of the lowercase version of the list member's email address email_addressstringEmail address for a subscriber unique_email_idstringAn identifier for the address across all of Mailchimp contact_idstringAs Mailchimp evolves beyond email, you may eventually have contacts without email addresses full_namestringThe contact's full name web_idintegerThe ID used in the Mailchimp web application email_typestringType of email this member asked to get statusstringSubscriber's current status unsubscribe_reasonstringA subscriber's reason for unsubscribing consents_to_one_to_one_messagingbooleanIndicates whether a contact consents to 1:1 messaging merge_fieldsobjectA dictionary of merge fields where the keys are the merge tags interestsobjectThe key of this object's properties is the ID of the interest in question statsobjectOpen and click rates for this subscriber ip_signupstringIP address the subscriber signed up from timestamp_signupstringThe date and time the subscriber signed up for the list ip_optstringThe IP address the subscriber used to confirm their opt-in status timestamp_optstringThe date and time the subscriber confirmed their opt-in status member_ratingintegerStar rating for this member, between 1 and 5 last_changedstringThe date and time the member's info was last changed languagestringIf set/detected, the subscriber's language vipbooleanVIP status for subscriber email_clientstringThe list member's email client locationobjectSubscriber location information sourcestringThe source from which the subscriber was added to this list tags_countintegerThe number of tags applied to this member tagsarrayReturns up to 50 tags applied to this member list_idstringThe list id
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringThe MD5 hash of the lowercase version of the list member's email address data[].email_addressstringEmail address for a subscriber data[].unique_email_idstringAn identifier for the address across all of Mailchimp data[].contact_idstringAs Mailchimp evolves beyond email, you may eventually have contacts without email addresses data[].full_namestringThe contact's full name data[].web_idintegerThe ID used in the Mailchimp web application data[].email_typestringType of email this member asked to get data[].statusstringSubscriber's current status data[].unsubscribe_reasonstringA subscriber's reason for unsubscribing data[].consents_to_one_to_one_messagingbooleanIndicates whether a contact consents to 1:1 messaging data[].merge_fieldsobjectA dictionary of merge fields where the keys are the merge tags data[].interestsobjectThe key of this object's properties is the ID of the interest in question data[].statsobjectOpen and click rates for this subscriber data[].ip_signupstringIP address the subscriber signed up from data[].timestamp_signupstringThe date and time the subscriber signed up for the list data[].ip_optstringThe IP address the subscriber used to confirm their opt-in status data[].timestamp_optstringThe date and time the subscriber confirmed their opt-in status data[].member_ratingintegerStar rating for this member, between 1 and 5 data[].last_changedstringThe date and time the member's info was last changed data[].languagestringIf set/detected, the subscriber's language data[].vipbooleanVIP status for subscriber data[].email_clientstringThe list member's email client data[].locationobjectSubscriber location information data[].sourcestringThe source from which the subscriber was added to this list data[].tags_countintegerThe number of tags applied to this member data[].tagsarrayReturns up to 50 tags applied to this member data[].list_idstringThe list id
Reports
Reports List
Get campaign reports
Python SDK
await mailchimp . reports . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "reports", "action": "list" }'
Parameters
Parameter Name Type Required Description countintegerNo The number of records to return offsetintegerNo Used for pagination type"regular" | "plaintext" | "absplit" | "rss" | "variate"No The campaign type before_send_timestringNo Restrict the response to campaigns sent before the set time since_send_timestringNo Restrict the response to campaigns sent after the set time
Response Schema Records Field Name Type Description idstringcampaign_titlestring | nulltypestring | nulllist_idstring | nulllist_is_activeboolean | nulllist_namestring | nullsubject_linestring | nullpreview_textstring | nullemails_sentinteger | nullabuse_reportsinteger | nullunsubscribedinteger | nullsend_timestring | nullrss_last_sendstring | nullbouncesobject | nullforwardsobject | nullopensobject | nullclicksobject | nullfacebook_likesobject | nullindustry_statsobject | nulllist_statsobject | nullecommerceobject | nulldelivery_statusobject | null
Field Name Type Description linksarray<object>
Reports Get
Get report details for a specific sent campaign
Python SDK
await mailchimp . reports . get ( campaign_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "reports", "action": "get", "params": { "campaign_id": "<str>" } }'
Parameters
Parameter Name Type Required Description campaign_idstringYes The unique id for the campaign
Response Schema Records Field Name Type Description idstringcampaign_titlestring | nulltypestring | nulllist_idstring | nulllist_is_activeboolean | nulllist_namestring | nullsubject_linestring | nullpreview_textstring | nullemails_sentinteger | nullabuse_reportsinteger | nullunsubscribedinteger | nullsend_timestring | nullrss_last_sendstring | nullbouncesobject | nullforwardsobject | nullopensobject | nullclicksobject | nullfacebook_likesobject | nullindustry_statsobject | nulllist_statsobject | nullecommerceobject | nulldelivery_statusobject | null
Reports Context Store Search
Search and filter reports records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await mailchimp . reports . context_store_search ( query = { "filter" : { "eq" : { "ab_split" : { } } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "reports", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"ab_split": {}}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description ab_splitobjectGeneral stats about different groups of an A/B Split campaign. Does not return information about ... abuse_reportsintegerThe number of abuse reports generated for this campaign. bouncesobjectAn object describing the bounce summary for the campaign. campaign_titlestringThe title of the campaign. clicksobjectAn object describing the click activity for the campaign. delivery_statusobjectUpdates on campaigns in the process of sending. ecommerceobjectE-Commerce stats for a campaign. emails_sentintegerThe total number of emails sent for this campaign. facebook_likesobjectAn object describing campaign engagement on Facebook. forwardsobjectAn object describing the forwards and forward activity for the campaign. idstringA string that uniquely identifies this campaign. industry_statsobjectThe average campaign statistics for your industry. list_idstringThe unique list id. list_is_activebooleanThe status of the list used, namely if it's deleted or disabled. list_namestringThe name of the list. list_statsobjectThe average campaign statistics for your list. This won't be present if we haven't calculated i... opensobjectAn object describing the open activity for the campaign. preview_textstringThe preview text for the campaign. rss_last_sendstringFor RSS campaigns, the date and time of the last send in ISO 8601 format. send_timestringThe date and time a campaign was sent in ISO 8601 format. share_reportobjectThe url and password for the VIP report. subject_linestringThe subject line for the campaign. timeseriesarrayAn hourly breakdown of the performance of the campaign over the first 24 hours. timewarparrayAn hourly breakdown of sends, opens, and clicks if a campaign is sent using timewarp. typestringThe type of campaign (regular, plain-text, ab_split, rss, automation, variate, or auto). unsubscribedintegerThe total number of unsubscribed members for this campaign.
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].ab_splitobjectGeneral stats about different groups of an A/B Split campaign. Does not return information about ... data[].abuse_reportsintegerThe number of abuse reports generated for this campaign. data[].bouncesobjectAn object describing the bounce summary for the campaign. data[].campaign_titlestringThe title of the campaign. data[].clicksobjectAn object describing the click activity for the campaign. data[].delivery_statusobjectUpdates on campaigns in the process of sending. data[].ecommerceobjectE-Commerce stats for a campaign. data[].emails_sentintegerThe total number of emails sent for this campaign. data[].facebook_likesobjectAn object describing campaign engagement on Facebook. data[].forwardsobjectAn object describing the forwards and forward activity for the campaign. data[].idstringA string that uniquely identifies this campaign. data[].industry_statsobjectThe average campaign statistics for your industry. data[].list_idstringThe unique list id. data[].list_is_activebooleanThe status of the list used, namely if it's deleted or disabled. data[].list_namestringThe name of the list. data[].list_statsobjectThe average campaign statistics for your list. This won't be present if we haven't calculated i... data[].opensobjectAn object describing the open activity for the campaign. data[].preview_textstringThe preview text for the campaign. data[].rss_last_sendstringFor RSS campaigns, the date and time of the last send in ISO 8601 format. data[].send_timestringThe date and time a campaign was sent in ISO 8601 format. data[].share_reportobjectThe url and password for the VIP report. data[].subject_linestringThe subject line for the campaign. data[].timeseriesarrayAn hourly breakdown of the performance of the campaign over the first 24 hours. data[].timewarparrayAn hourly breakdown of sends, opens, and clicks if a campaign is sent using timewarp. data[].typestringThe type of campaign (regular, plain-text, ab_split, rss, automation, variate, or auto). data[].unsubscribedintegerThe total number of unsubscribed members for this campaign.
Email Activity
Email Activity List
Get a list of member's subscriber activity in a specific campaign
Python SDK
await mailchimp . email_activity . list ( campaign_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "email_activity", "action": "list", "params": { "campaign_id": "<str>" } }'
Parameters
Parameter Name Type Required Description campaign_idstringYes The unique id for the campaign countintegerNo The number of records to return offsetintegerNo Used for pagination sincestringNo Restrict results to email activity events that occur after a specific time
Response Schema Records Field Name Type Description campaign_idstring | nulllist_idstring | nulllist_is_activeboolean | nullemail_idstring | nullemail_addressstring | nullactivityarray | null
Field Name Type Description linksarray<object>
Email Activity Context Store Search
Search and filter email activity records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await mailchimp . email_activity . context_store_search ( query = { "filter" : { "eq" : { "action" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "email_activity", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"action": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description actionstringOne of the following actions: 'open', 'click', or 'bounce' campaign_idstringThe unique id for the campaign. email_addressstringEmail address for a subscriber. email_idstringThe MD5 hash of the lowercase version of the list member's email address. ipstringThe IP address recorded for the action. list_idstringThe unique id for the list. list_is_activebooleanThe status of the list used, namely if it's deleted or disabled. timestampstringThe date and time recorded for the action in ISO 8601 format. typestringIf the action is a 'bounce', the type of bounce received: 'hard', 'soft'. urlstringIf the action is a 'click', the URL on which the member clicked.
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].actionstringOne of the following actions: 'open', 'click', or 'bounce' data[].campaign_idstringThe unique id for the campaign. data[].email_addressstringEmail address for a subscriber. data[].email_idstringThe MD5 hash of the lowercase version of the list member's email address. data[].ipstringThe IP address recorded for the action. data[].list_idstringThe unique id for the list. data[].list_is_activebooleanThe status of the list used, namely if it's deleted or disabled. data[].timestampstringThe date and time recorded for the action in ISO 8601 format. data[].typestringIf the action is a 'bounce', the type of bounce received: 'hard', 'soft'. data[].urlstringIf the action is a 'click', the URL on which the member clicked.
Automations
Automations List
Get a summary of an account's classic automations
Python SDK
await mailchimp . automations . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "automations", "action": "list" }'
Parameters
Parameter Name Type Required Description countintegerNo The number of records to return offsetintegerNo Used for pagination before_create_timestringNo Restrict the response to automations created before this time since_create_timestringNo Restrict the response to automations created after this time before_start_timestringNo Restrict the response to automations started before this time since_start_timestringNo Restrict the response to automations started after this time status"save" | "paused" | "sending"No Restrict the results to automations with the specified status
Response Schema Records Field Name Type Description idstringcreate_timestring | nullstart_timestring | nullstatusstring | nullemails_sentinteger | nullrecipientsobject | nullsettingsobject | nulltrackingobject | nullreport_summaryobject | null
Field Name Type Description linksarray<object>
Automations Context Store Search
Search and filter automations records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await mailchimp . automations . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "automations", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringA string that uniquely identifies an Automation workflow create_timestringThe date and time the Automation was created start_timestringThe date and time the Automation was started statusstringThe current status of the Automation emails_sentintegerThe total number of emails sent for the Automation recipientsobjectList settings for the Automation settingsobjectThe settings for the Automation workflow trackingobjectThe tracking options for the Automation report_summaryobjectA summary of opens and clicks for sent campaigns
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringA string that uniquely identifies an Automation workflow data[].create_timestringThe date and time the Automation was created data[].start_timestringThe date and time the Automation was started data[].statusstringThe current status of the Automation data[].emails_sentintegerThe total number of emails sent for the Automation data[].recipientsobjectList settings for the Automation data[].settingsobjectThe settings for the Automation workflow data[].trackingobjectThe tracking options for the Automation data[].report_summaryobjectA summary of opens and clicks for sent campaigns
Search for tags on a list by name
Python SDK
await mailchimp . tags . list ( list_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tags", "action": "list", "params": { "list_id": "<str>" } }'
Parameters
Parameter Name Type Required Description list_idstringYes The unique ID for the list namestringNo The search query used to filter tags
Response Schema Records Field Name Type Description idintegernamestring | null
Field Name Type Description linksarray<object>
Tags Context Store Search
Search and filter tags records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await mailchimp . tags . context_store_search ( query = { "filter" : { "eq" : { "id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tags", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idintegerThe unique id for the tag namestringThe name of the tag
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idintegerThe unique id for the tag data[].namestringThe name of the tag
Interest Categories
Interest Categories List
Get information about a list's interest categories
Python SDK
await mailchimp . interest_categories . list ( list_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "interest_categories", "action": "list", "params": { "list_id": "<str>" } }'
Parameters
Parameter Name Type Required Description list_idstringYes The unique ID for the list countintegerNo The number of records to return offsetintegerNo Used for pagination
Response Schema Records Field Name Type Description list_idstring | nullidstringtitlestring | nulldisplay_orderinteger | nulltypestring | null
Field Name Type Description linksarray<object>
Interest Categories Get
Get information about a specific interest category
Python SDK
await mailchimp . interest_categories . get ( list_id = "<str>" , interest_category_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "interest_categories", "action": "get", "params": { "list_id": "<str>", "interest_category_id": "<str>" } }'
Parameters
Parameter Name Type Required Description list_idstringYes The unique ID for the list interest_category_idstringYes The unique ID for the interest category
Response Schema Records Field Name Type Description list_idstring | nullidstringtitlestring | nulldisplay_orderinteger | nulltypestring | null
Interest Categories Context Store Search
Search and filter interest categories records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await mailchimp . interest_categories . context_store_search ( query = { "filter" : { "eq" : { "list_id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "interest_categories", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"list_id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description list_idstringThe unique list id for the category idstringThe id for the interest category titlestringThe text description of this category display_orderintegerThe order that the categories are displayed in the list typestringDetermines how this category's interests appear on signup forms
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].list_idstringThe unique list id for the category data[].idstringThe id for the interest category data[].titlestringThe text description of this category data[].display_orderintegerThe order that the categories are displayed in the list data[].typestringDetermines how this category's interests appear on signup forms
Interests
Interests List
Get a list of this category's interests
Python SDK
await mailchimp . interests . list ( list_id = "<str>" , interest_category_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "interests", "action": "list", "params": { "list_id": "<str>", "interest_category_id": "<str>" } }'
Parameters
Parameter Name Type Required Description list_idstringYes The unique ID for the list interest_category_idstringYes The unique ID for the interest category countintegerNo The number of records to return offsetintegerNo Used for pagination
Response Schema Records Field Name Type Description category_idstring | nulllist_idstring | nullidstringnamestring | nullsubscriber_countstring | nulldisplay_orderinteger | null
Field Name Type Description linksarray<object>
Interests Get
Get interests or group names for a specific category
Python SDK
await mailchimp . interests . get ( list_id = "<str>" , interest_category_id = "<str>" , interest_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "interests", "action": "get", "params": { "list_id": "<str>", "interest_category_id": "<str>", "interest_id": "<str>" } }'
Parameters
Parameter Name Type Required Description list_idstringYes The unique ID for the list interest_category_idstringYes The unique ID for the interest category interest_idstringYes The specific interest or group name
Response Schema Records Field Name Type Description category_idstring | nulllist_idstring | nullidstringnamestring | nullsubscriber_countstring | nulldisplay_orderinteger | null
Interests Context Store Search
Search and filter interests records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await mailchimp . interests . context_store_search ( query = { "filter" : { "eq" : { "category_id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "interests", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"category_id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description category_idstringThe id for the interest category list_idstringThe ID for the list that this interest belongs to idstringThe ID for the interest namestringThe name of the interest subscriber_countstringThe number of subscribers associated with this interest display_orderintegerThe display order for interests
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].category_idstringThe id for the interest category data[].list_idstringThe ID for the list that this interest belongs to data[].idstringThe ID for the interest data[].namestringThe name of the interest data[].subscriber_countstringThe number of subscribers associated with this interest data[].display_orderintegerThe display order for interests
Segments
Segments List
Get information about all available segments for a specific list
Python SDK
await mailchimp . segments . list ( list_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "segments", "action": "list", "params": { "list_id": "<str>" } }'
Parameters
Parameter Name Type Required Description list_idstringYes The unique ID for the list countintegerNo The number of records to return offsetintegerNo Used for pagination typestringNo Limit results based on segment type since_created_atstringNo Restrict results to segments created after the set time before_created_atstringNo Restrict results to segments created before the set time since_updated_atstringNo Restrict results to segments updated after the set time before_updated_atstringNo Restrict results to segments updated before the set time
Response Schema Records Field Name Type Description idintegernamestring | nullmember_countinteger | nulltypestring | nullcreated_atstring | nullupdated_atstring | nulloptionsobject | nulllist_idstring | null
Field Name Type Description linksarray<object>
Segments Get
Get information about a specific segment
Python SDK
await mailchimp . segments . get ( list_id = "<str>" , segment_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "segments", "action": "get", "params": { "list_id": "<str>", "segment_id": "<str>" } }'
Parameters
Parameter Name Type Required Description list_idstringYes The unique ID for the list segment_idstringYes The unique id for the segment
Response Schema Records Field Name Type Description idintegernamestring | nullmember_countinteger | nulltypestring | nullcreated_atstring | nullupdated_atstring | nulloptionsobject | nulllist_idstring | null
Segments Context Store Search
Search and filter segments records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await mailchimp . segments . context_store_search ( query = { "filter" : { "eq" : { "id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "segments", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idintegerThe unique id for the segment namestringThe name of the segment member_countintegerThe number of active subscribers currently included in the segment typestringThe type of segment created_atstringThe date and time the segment was created updated_atstringThe date and time the segment was last updated optionsobjectThe conditions of the segment list_idstringThe list id
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idintegerThe unique id for the segment data[].namestringThe name of the segment data[].member_countintegerThe number of active subscribers currently included in the segment data[].typestringThe type of segment data[].created_atstringThe date and time the segment was created data[].updated_atstringThe date and time the segment was last updated data[].optionsobjectThe conditions of the segment data[].list_idstringThe list id
Segment Members
Segment Members List
Get information about members in a saved segment
Python SDK
await mailchimp . segment_members . list ( list_id = "<str>" , segment_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "segment_members", "action": "list", "params": { "list_id": "<str>", "segment_id": "<str>" } }'
Parameters
Parameter Name Type Required Description list_idstringYes The unique ID for the list segment_idstringYes The unique id for the segment countintegerNo The number of records to return offsetintegerNo Used for pagination
Response Schema Records Field Name Type Description idstringemail_addressstring | nullunique_email_idstring | nullemail_typestring | nullstatusstring | nullmerge_fieldsobject | nullinterestsobject | nullstatsobject | nullip_signupstring | nulltimestamp_signupstring | nullip_optstring | nulltimestamp_optstring | nullmember_ratinginteger | nulllast_changedstring | nulllanguagestring | nullvipboolean | nullemail_clientstring | nulllocationobject | nulllist_idstring | null
Field Name Type Description linksarray<object>
Segment Members Context Store Search
Search and filter segment members records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await mailchimp . segment_members . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "segment_members", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringThe MD5 hash of the lowercase version of the list member's email address email_addressstringEmail address for a subscriber unique_email_idstringAn identifier for the address across all of Mailchimp email_typestringType of email this member asked to get statusstringSubscriber's current status merge_fieldsobjectA dictionary of merge fields where the keys are the merge tags interestsobjectThe key of this object's properties is the ID of the interest in question statsobjectOpen and click rates for this subscriber ip_signupstringIP address the subscriber signed up from timestamp_signupstringThe date and time the subscriber signed up for the list ip_optstringThe IP address the subscriber used to confirm their opt-in status timestamp_optstringThe date and time the subscriber confirmed their opt-in status member_ratingintegerStar rating for this member, between 1 and 5 last_changedstringThe date and time the member's info was last changed languagestringIf set/detected, the subscriber's language vipbooleanVIP status for subscriber email_clientstringThe list member's email client locationobjectSubscriber location information list_idstringThe list id
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringThe MD5 hash of the lowercase version of the list member's email address data[].email_addressstringEmail address for a subscriber data[].unique_email_idstringAn identifier for the address across all of Mailchimp data[].email_typestringType of email this member asked to get data[].statusstringSubscriber's current status data[].merge_fieldsobjectA dictionary of merge fields where the keys are the merge tags data[].interestsobjectThe key of this object's properties is the ID of the interest in question data[].statsobjectOpen and click rates for this subscriber data[].ip_signupstringIP address the subscriber signed up from data[].timestamp_signupstringThe date and time the subscriber signed up for the list data[].ip_optstringThe IP address the subscriber used to confirm their opt-in status data[].timestamp_optstringThe date and time the subscriber confirmed their opt-in status data[].member_ratingintegerStar rating for this member, between 1 and 5 data[].last_changedstringThe date and time the member's info was last changed data[].languagestringIf set/detected, the subscriber's language data[].vipbooleanVIP status for subscriber data[].email_clientstringThe list member's email client data[].locationobjectSubscriber location information data[].list_idstringThe list id
Unsubscribes
Unsubscribes List
Get information about members who have unsubscribed from a specific campaign
Python SDK
await mailchimp . unsubscribes . list ( campaign_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "unsubscribes", "action": "list", "params": { "campaign_id": "<str>" } }'
Parameters
Parameter Name Type Required Description campaign_idstringYes The unique id for the campaign countintegerNo The number of records to return offsetintegerNo Used for pagination
Response Schema Records Field Name Type Description email_idstring | nullemail_addressstring | nullmerge_fieldsobject | nullvipboolean | nulltimestampstring | nullreasonstring | nullcampaign_idstring | nulllist_idstring | nulllist_is_activeboolean | null
Field Name Type Description linksarray<object>
Unsubscribes Context Store Search
Search and filter unsubscribes records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await mailchimp . unsubscribes . context_store_search ( query = { "filter" : { "eq" : { "email_id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "unsubscribes", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"email_id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description email_idstringThe MD5 hash of the lowercase version of the list member's email address email_addressstringEmail address for a subscriber merge_fieldsobjectA dictionary of merge fields where the keys are the merge tags vipbooleanVIP status for subscriber timestampstringThe date and time the member opted-out reasonstringIf available, the reason listed by the member for unsubscribing campaign_idstringThe campaign id list_idstringThe list id list_is_activebooleanThe status of the list used
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].email_idstringThe MD5 hash of the lowercase version of the list member's email address data[].email_addressstringEmail address for a subscriber data[].merge_fieldsobjectA dictionary of merge fields where the keys are the merge tags data[].vipbooleanVIP status for subscriber data[].timestampstringThe date and time the member opted-out data[].reasonstringIf available, the reason listed by the member for unsubscribing data[].campaign_idstringThe campaign id data[].list_idstringThe list id data[].list_is_activebooleanThe status of the list used